Bug 462862 - shutdown has no -F or -f flags to force/skip fsck on reboot
shutdown has no -F or -f flags to force/skip fsck on reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 08:25 EDT by Jan Christiaan van Winkel
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-26 14:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Christiaan van Winkel 2008-09-19 08:25:06 EDT
Description of problem:
shutdown (from upstart) no longer supports the -F and -f flags to force or skip an fsck run after reboot.  The presence of /forcefsck is still tested though.  Therefore, a workaround for
shutdown -F -r now
would be:
touch /forcefsck; shutdown -r now

Version-Release number of selected component (if applicable):
upstart-0.3.9-19

How reproducible:
always

Steps to Reproduce:
1. shutdown -F -r now

  
Actual results:
no fsck is performed after the reboot

Expected results:
an fsck run should be performed after reboot

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:45:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Christiaan van Winkel 2009-06-10 02:41:21 EDT
Same problem in Fedora 10 and Fedora 11
Comment 3 Reilly Hall 2009-07-01 12:51:09 EDT
Just curious if this was an intentional change from the old Fedora/Red Hat versions where #shutdown -rF now would force an fsck on reboot of all available file systems.  This has become quite annoying any time I wanna check a file system manually, the only way I have found to be able to do so is to boot into the emergency rescue CD and fsck from that environment.  Also I have used tune2fs to manually set a file system option policy to force an fsck after X amount of time or Y amount of mounts with consecutive mounts without an fsck having been performed.  This is somewhat annoying...but if it was intentional because someone deemed ext3/4 so reliable that manual fscks when marked clean are superfluous...I'd just like to know and I can move on with my life.
Comment 4 Casey Dahlin 2010-03-26 14:40:53 EDT
Upstream is against having these flags in the shutdown tool. They will not be added, there, and I don't intend to carry a permanent patch or re-address this issue later when I remove it.
Comment 5 Reilly Hall 2010-03-26 15:51:52 EDT
Good to know, thanks.

Note You need to log in before you can comment on or make changes to this bug.